export type IPopupAction = {
    name: string;
    func: (params: any) => Promise<any>;
};
export type IPopupActionSuccessResponse = {
    name: string;
    data: any;
};
export type IPopupActionErrorResponse = {
    code?: number;
    message: string;
};
export type IPopupActionDefinition = {
    id: string;
    name: string;
    params: any;
};
export type GetPopupActionName<TPopupAction extends IPopupAction> = TPopupAction['name'];
export type GetPopupActionFuncArgs<TPopupAction extends IPopupAction> = Parameters<TPopupAction['func']>[0];
export type GetPopupActionResult<TPopupAction extends IPopupAction> = Awaited<ReturnType<TPopupAction['func']>>;
